<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <ImageView
        android:id="@+id/iv_profile"
        android:layout_width="33.3dp"
        android:layout_height="33.3dp"
        android:layout_marginTop="10dp"
        android:adjustViewBounds="true"
        android:contentDescription="@null"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:src="@drawable/ic_launcher_background" />

    <TextView
        android:id="@+id/tv_nickname"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="6.7dp"
        android:layout_marginTop="10dp"
        android:fontFamily="@font/gmarket_sans_medium"
        android:textColor="@color/color_eeeeee"
        android:textSize="13.3sp"
        app:layout_constraintStart_toEndOf="@+id/iv_profile"
        app:layout_constraintTop_toTopOf="parent"
        tools:text="dksoew10" />

    <TextView
        android:id="@+id/tv_date"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="6.7dp"
        android:layout_marginTop="8.3dp"
        android:fontFamily="@font/gmarket_sans_medium"
        android:textColor="@color/color_525252"
        android:textSize="10.7sp"
        app:layout_constraintStart_toEndOf="@+id/iv_profile"
        app:layout_constraintTop_toBottomOf="@+id/tv_nickname"
        tools:ignore="SmallSp"
        tools:text="2021.07.01 10:30" />

    <ImageView
        android:id="@+id/iv_menu"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:contentDescription="@null"
        android:src="@drawable/ic_seemore_vertical"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@+id/iv_profile" />

    <FrameLayout
        android:id="@+id/fl_content"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="10dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/iv_profile"
        app:layout_constraintTop_toBottomOf="@+id/tv_date">

        <TextView
            android:id="@+id/tv_content"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="6.7dp"
            android:fontFamily="@font/gmarket_sans_medium"
            android:textColor="@color/color_777777"
            android:textSize="12sp"
            tools:text="내용 읽어보니까 결혼해도 될것 같은데요. 원래 서로 맞춰가며 사는거죠! 응원합니다." />

        <RelativeLayout
            android:id="@+id/rl_content_modify"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:visibility="gone">

            <EditText
                android:id="@+id/et_content_modify"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_alignParentStart="true"
                android:layout_marginEnd="13.3dp"
                android:layout_toStartOf="@+id/tv_modify"
                android:background="@drawable/bg_round_corner_10_339970ff_9970ff"
                android:importantForAutofill="no"
                android:inputType="text"
                android:paddingHorizontal="13.3dp"
                android:paddingVertical="13dp"
                android:textColor="@color/color_eeeeee"
                android:textColorHint="@color/color_eeeeee"
                android:textCursorDrawable="@drawable/edit_text_cursor"
                android:textSize="13.3sp"
                android:theme="@style/EditTextStyle"
                tools:ignore="LabelFor" />

            <TextView
                android:id="@+id/tv_modify"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentEnd="true"
                android:background="@drawable/bg_round_corner_6_7_9970ff"
                android:fontFamily="@font/gmarket_sans_bold"
                android:padding="13dp"
                android:text="수정"
                android:textColor="@color/white" />
        </RelativeLayout>
    </FrameLayout>

    <FrameLayout
        android:id="@+id/fl_reply"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/iv_profile"
        app:layout_constraintTop_toBottomOf="@+id/fl_content">

        <LinearLayout
            android:id="@+id/ll_cheer_reply"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:orientation="vertical"
            android:visibility="gone">

            <TextView
                android:id="@+id/tv_reply"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@drawable/bg_round_corner_16_7_4c9970ff"
                android:fontFamily="@font/gmarket_sans_medium"
                android:paddingHorizontal="13.3dp"
                android:paddingVertical="6.7dp"
                android:textColor="@color/white"
                tools:text="항상 응원해주셔서 감사합니다." />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="8.3dp">

                <TextView
                    android:id="@+id/tv_reply_date"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="6.7dp"
                    android:fontFamily="@font/gmarket_sans_medium"
                    android:textColor="@color/color_525252"
                    android:textSize="10.7sp"
                    tools:ignore="SmallSp"
                    tools:text="2021.07.01 10:30" />

                <TextView
                    android:id="@+id/tv_modify_reply"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="4dp"
                    android:text="답글 수정"
                    android:textColor="@color/color_9970ff"
                    android:textSize="10.7sp"
                    android:visibility="gone"
                    tools:ignore="SmallSp" />
            </LinearLayout>
        </LinearLayout>

        <RelativeLayout
            android:id="@+id/rl_cheer_reply"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:visibility="gone">

            <EditText
                android:id="@+id/et_cheer_reply"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_alignParentStart="true"
                android:layout_marginEnd="10dp"
                android:layout_toStartOf="@+id/tv_send"
                android:background="@drawable/bg_round_corner_10_232323"
                android:hint="응원댓글에 답글을 남겨보세요!"
                android:importantForAutofill="no"
                android:inputType="text"
                android:paddingHorizontal="13.3dp"
                android:paddingVertical="13dp"
                android:textColor="@color/color_eeeeee"
                android:textColorHint="@color/color_eeeeee"
                android:textCursorDrawable="@drawable/edit_text_cursor"
                android:textSize="13.3sp"
                android:theme="@style/EditTextStyle"
                tools:ignore="LabelFor" />

            <TextView
                android:id="@+id/tv_send"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentEnd="true"
                android:background="@drawable/bg_round_corner_6_7_9970ff"
                android:fontFamily="@font/gmarket_sans_bold"
                android:padding="13dp"
                android:text="등록"
                android:textColor="@color/white" />

        </RelativeLayout>

        <TextView
            android:id="@+id/tv_write_reply"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="4dp"
            android:layout_marginTop="10dp"
            android:fontFamily="@font/gmarket_sans_medium"
            android:text="답글 쓰기"
            android:textColor="@color/color_9970ff"
            android:textSize="10.7sp"
            tools:ignore="SmallSp" />

    </FrameLayout>

    <View
        android:layout_width="0dp"
        android:layout_height="1dp"
        android:layout_marginTop="13dp"
        android:background="@color/color_88909090"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/fl_reply" />


</androidx.constraintlayout.widget.ConstraintLayout>
